<?php

function SessionStart() {
   session_cache_limiter('nocache');
   session_cache_expire(5);
   session_start();
   }

function SessionEnd() {
   session_destroy();
   }

function SessionPop($descriptor) {
   $val = null;
   if (isset($_SESSION[$descriptor])) {
      $val = $_SESSION[$descriptor];
      unset($_SESSION[$descriptor]);
      }
   return $val;
   }

function SessionPush($descriptor, $value) {
   $_SESSION[$descriptor] = $value;
   }

function SessionRead($descriptor) {
   $val = null;
   if (isset($_SESSION[$descriptor])) {
      $val = $_SESSION[$descriptor];
      }
   return $val;
   }

?>

